/* UUPoll.rexx  For use with Welmat 0.46.17+ and AmigaUUCP 1.13+ */

/*
 * This script allows WELMAT to handle the dialing for you rather
 * than requiring that the line be taken down before each call
 *
 * Russell McOrmond   rwm@Atronx.OCUnix.On.Ca   {tigris,alzabo,...}!atronx!rwm 
 * FidoNet 1:163/109  Net Support: (613) 230-2282  Amiga-Fido Support  1:1/109 
 * Gateway for .Amiga.OCUnix.On.Ca    Current WELMAT 'keeper of sources'.
 *
 */


Options RESULTS
Options failat 99999

RC = 0

parse arg callsystem rest

x=OpenPort('JamesUUXQT') /* Lock another UUXQT from running */
if x=0 then do
  say "Not Unique UUCP"
  Exit 1
end
closeport('JamesUUXQT')

x=Open('lsys',"UULib:l.sys",'R')

if x=0 then do
   say "Error reading UULib:l.sys file!!!"
   Exit 1
end

if (callsystem = 'all') | (callsystem = 'hasmail') then spoolfiles=Showdir("uuspool:",'Files')

do forever

   Line=ReadLn('lsys')

   if EOF('lsys') then Leave

   if Left(Line,1)='#' then Iterate

   Parse var Line System ' ' Times ' ' Device ' ' Baud ' ' Phone ' ' Junk

   if (Times = 'Never') then Iterate   

   if (callsystem ~= 'all') & (callsystem ~= 'hasmail') & (callsystem ~= System)
               then Iterate

   if (callsystem = 'hasmail') & ( index(spoolfiles,'C.' || System) < 1)
                then Iterate 

   whatline = ''

   if upper(System) == 'LATOUR' then whatline = '-useline 1'
   if upper(System) == 'DELFAX' then whatline = '-useline 2'
   if upper(System) == 'QUBE' then whatline = '-useline 2'
   if upper(System) == 'MICOR' then whatline = '-useline 2'
   if upper(System) == 'ZONE4' then whatline = '-useline 2'
   if upper(System) == 'SIDUS' then whatline = '-useline 2'
   if upper(System) == 'AFICOM' then whatline = '-useline 2'

   Address Command 'wctl 'whatline' -call ' System ' -number' Phone ' -nofido -prerun "uucp:c/uucico -o -s' || System '-DEVICE %d -UNIT %u"' rest

   if (callsystem ~= 'all') & (callsystem ~= 'hasmail') then Leave

   adelay= Getclip('wsched-delay')


   if ( words(adelay) == 1) then do
         say 'Delay for' adelay 'seconds'
         call delay (50*adelay)  /* delay for 'quantum' seconds */
   end
end

x=Close('lsys')

Exit RC



